{ Free Pascal }
program progress;

var n, i, x, y, diff, smallest, biggest, bestscoreA, bestscoreB: longint;
	inputdata, outputA, outputB, scoretable: array of longint;

procedure assignAll;
begin
    assign(input, 'progress.in');
	reset(input);
	assign(output, 'progress.out');
	rewrite(output);
end;
	
procedure closeAll;
begin
    close(input); close(output);
end;

function containsValue(arr: array of longint; v: longint): boolean;
begin
 containsValue := false;
 for i:= 0 to length(arr) do
 begin
  if(arr[i] = v) then containsValue:= true;
 end;
end;

function getSizeFor(pt, step: longint): longint;
var cnt: boolean;
begin
 cnt:= true;
 getSizeFor:=1;
 while cnt do
 begin
	if(containsValue(inputdata, pt)) then
	begin
		pt := pt - step;
		getSizeFor:=getSizeFor + 1;
		if pt-step < 0 then
		 cnt:=false;
	end
	else
		cnt:=false
 end;
end;

procedure calcfor(step: longint);
begin
for y:=0 to length(inputdata) do
 begin
	if getSizeFor(inputdata[y], step) = n then
	begin
		for x:= 0 to n-1 do
		begin
			if x < n-1 then
			 write((inputdata[y] - step * (n-1)) + step * x, ' ')
			else
			 writeln((inputdata[y] - step * (n-1)) + step * x);
		end;
	end;
 end;
end;

begin
 assignAll;
 read(n);
 
 setLength(inputdata, (n*2) - 1);
 setLength(outputA, n-1);
 setLength(outputB, n-1);

 for i:= 0 to length(inputdata) do
  read(inputdata[i]);
  
 smallest := -1;
 biggest := -1;
 for i:= 0 to length(inputdata) do
 begin
 if (smallest = -1) or (inputdata[i] < smallest) then smallest := inputdata[i];
 if (biggest  = -1) or (inputdata[i] > biggest)  then biggest  := inputdata[i];
 end;
 
 setLength(scoretable, (biggest - smallest + 1));
 
 for i:= 0 to length(scoretable) do
  scoretable[i] := 0;
  
 for i:= 0 to length(inputdata) do
  begin
  for x:= 0 to length(inputdata) do
   begin
    for y:= 0 to length(inputdata) do
	 begin
	  if (abs(inputdata[x] - inputdata[y]) = abs(inputdata[i]-inputdata[x])) and (inputdata[x] <> inputdata[y]) and (inputdata[y] <> inputdata[i]) and (inputdata[i] <> inputdata[x]) then
	   begin
	    diff := abs(inputdata[x] - inputdata[y]);
	    scoretable[diff] := scoretable[diff] + 1;
	   end;
   end;
  end;
 end;
   
 bestscoreA := 0;
 bestscoreB := 0;
 for i:= 0 to length(scoretable) do
 begin
  if(scoretable[i] > scoretable[bestscoreA]) then bestscoreA := i
  else if(scoretable[i] > scoretable[bestscoreB]) then bestscoreB := i
 end;

 if(bestscoreA > bestscoreB) then
 begin
 calcfor(bestscoreA);
 calcfor(bestscoreB);
 end
 else
 begin
 calcfor(bestscoreB);
 calcfor(bestscoreA);
 end;
 
 closeAll;
end.