/* GCC */
#include <iostream>
#include <fstream>
using namespace std;

class Triangle{
public:
    unsigned int a;
    unsigned int b;
    unsigned int c;
    Triangle(int A, int B, int C){
        a = A;
        b = B;
        c = C;
    }
    bool isSimilar(Triangle t){
        if((t.a/a == t.b/b && t.a/a == t.c/c)||
           (t.a/b == t.b/c && t.a/b == t.c/a)||
           (t.a/c == t.b/a && t.a/c == t.c/b)||
           (t.a/a == t.b/c && t.a/a == t.c/b)||
           (t.b/b == t.a/c && t.b/b == t.c/a)||
           (t.c/c == t.b/a && t.c/c == t.a/b)) return true;
        return false;
    }
};

int main(){
    ifstream in;
    in.open("similar.in");
    unsigned int a, b, c;
    in>>a; in>>b; in>>c;
    Triangle obj1(a, b, c);
    in>>a; in>>b; in>>c;
    Triangle obj2(a, b, c);
    in.close();

    ofstream out;
    out.open("similar.out");
    if(obj1.isSimilar(obj2)) out<<1;
    else out<<0;
    out<<'\n';
    out.close();

    return 0;
}
