{ Free Pascal }
program island;

var n, h, i, x, best: longint;
    items: array of longint;

procedure assignAll;
begin
    assign(input, 'island.in');
	reset(input);
	assign(output, 'island.out');
	rewrite(output);
end;
	
procedure closeAll;
begin
    close(input); close(output);
end;

function min(a, b: integer): integer;
begin
	if(a < b) then min:=a else min:=b;
end;

function max(a, b: integer): integer;
begin
	if(a > b) then max:=a else max:=b;
end;

function dist(a, b, size: longint): longint;
begin
	dist:= min(min(abs(b-a), abs(size-b+a)), abs(size-a+b));
end;

begin
 assignAll;
 read(h, n);
 
 setLength(items, n-1);
 for i:= 0 to n-1 do
 begin
 read(items[i]);
 end;
 
 best:=0;
 for i:= 0 to length(items) do
 begin
	for x:= 0 to length(items) do
	begin
		if(items[i] <> items[x]) then
			best := max(dist(items[i], items[x], h), best);
	end;
 end;
 
 writeln(best);
 
 closeAll;
end.