/* GCC */

#include <fstream>
#include <string>
#include <vector>
#include <algorithm>
#include <limits>
using namespace std;

long* a;
int n;


int mfind(int st, int val)
{
    for (int i = st+1; i < n && a[st] + val >= a[i] ; ++i)
    {
        if (a[st] + val == a[i])
            return i;
    }
    return 0;
}

void show(bool f[])
{
    static ofstream fout("progress.out");
    int k = 0;
    for (int i=0; i<n; ++i)
        if (f[i])
        {
              fout << a[i];
              k++;
              if (k != n / 2)
                fout << " ";
              else
                fout << "\n";
        }

}

int main()
{
    ifstream fin("progress.in");

    fin >> n;
    n *= 2;
    a = new long[n];
    bool* first = new bool[n];
    bool* second = new bool[n];
    for (int i = 0; i < n; ++i)
    {
        fin >> a[i];
        first[i] = second[i] = false;
    }
    sort(a, a + n);
    int d = 0;
    for (int i = 1; i < n; ++i)
    {
        d = a[i] - a[0];
        int t = mfind(i, d);
        //fout << t << ' ' << i << endl;
        if (t != 0 && mfind(t, d))
            break;
    }
    //fout << d << endl;
    first[0] = true;
    int t = 0;
    do
    {
        t = mfind(t, d);
        first[t] = true;
    }
    while (t);
    for (int i = 0; i  < n; ++i)
        if (!first[i])
            second[i] = true;

    int k = 0;
    for(int i =0 ;i <n;++i)
        if (first[i]) k++;

    if (k == n / 2)
    {
        show(first);
        show(second);
    }
    else
    {
        int f_s = 0;
        int s_s = 0;
        int k =0;

        for (int i = 0;i<n;++i)
        {
            if (second[i] && k == 1)
            {
                s_s = i;
                break;
            }
            if (second[i] && k == 0)
            {
                f_s = i;
                ++k;
            }
        }
        int l_f = 0;
        for (int i = n-1;i >= 0 && !l_f; --i)
            if (first[i]) l_f = i;
        if (a[0] == f_s - (s_s - f_s))
        {
             first[0] = false;
             second[0] = true;
        }
        else
        {

             first[l_f] = false;
             second[l_f] = true;
        }
        int x_f = 0, x_s = 0;
        for (int i = 0;i<n && !x_f && !x_s;++i)
          {
              if (first[i]) x_f = i;
              if (second[i]) x_s = i;
          }
        if (x_f > x_s)
        {
            show(first);
            show(second);
        }
        else
        {
            show(second);
            show(first);
        }
    }
    fin.close();
    return 0;
}
