/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <cmath>
using namespace std;
int N, H;
vector<int> Hut;

void ReadFile(){
    ifstream FIn;
    FIn.open("island.in");
    FIn >> N >> H;
    Hut.reserve(H);
    for(int i=0; i<H; i++){
        FIn >> Hut[i];
    }
    FIn.close();
}

int Distance(int N1, int N2){
    int Dist1 = Hut[N1] - Hut[N2];
    int Dist2 = N - Dist1;
    if(Dist1 < 0){Dist1 = -Dist1;};
    if(Dist2 < 0){Dist2 = -Dist2;};
    if(Dist2<=Dist1){
        cout << Dist1;
        return Dist1;
    } else {
        cout << Dist2;
        return Dist2;
    };
}

int MaxDist(){
    int MD = 0;
    for(int i=0; i<H; i++){
        for(int j=1; j<(H-i); j++){
            if(MD<=Distance(j, i)){
                MD = Distance(j, i);
            };
            cout << MD;
        };
    };
    return MD;
}

void WriteFile(){
    ofstream FOut;
    FOut.open("island.out");
    FOut << MaxDist() << "\n";
    FOut.close();
}

int main(){
    ReadFile();
    cout << MaxDist();
    for(int i=0; i<H; i++){
        cout << Hut[i];
    }
    WriteFile();
    return 0;
}
